hdf4

module (bold = default) build dependencies
hdf4/4.2.10/b1 intel/2013.1.046 intel/2013.1.046
hdf4/4.2.11/b1 gcc 5.2.0

also see Using Software.